Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] python3-mpmath: depend on python3-gmpy2
@ 2021-10-12 23:49 tornaria
  2021-10-13 19:00 ` [PR PATCH] [Merged]: " ahesford
  0 siblings, 1 reply; 2+ messages in thread
From: tornaria @ 2021-10-12 23:49 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 726 bytes --]

There is a new pull request by tornaria against master on the void-packages repository

https://github.com/tornaria/void-packages mpmath
https://github.com/void-linux/void-packages/pull/33511

python3-mpmath: depend on python3-gmpy2
By default mpmath uses python's builtin long integers which are very
slow. Installing python3-gmpy2 makes it use gmp, mpfr, mpc for that,
which is asymptotically faster.

After #33481 it was agreed to add it to depends.

Also:
 - remove INSTALL.msg; for plotting, mpmath itself gives a warning.
 - Adopt.

[ci-skip] since this will fail before #33481 is merged, but nothing is really changed

A patch file from https://github.com/void-linux/void-packages/pull/33511.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-mpmath-33511.patch --]
[-- Type: text/x-diff, Size: 1964 bytes --]

From 317ea37af5920083b248f26e7c6932530ca52cee Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Gonzalo=20Tornar=C3=ADa?= <tornaria@cmat.edu.uy>
Date: Tue, 12 Oct 2021 20:38:13 -0300
Subject: [PATCH] python3-mpmath: depend on python3-gmpy2

By default mpmath uses python's builtin long integers which are very
slow. Installing python3-gmpy2 makes it use gmp, mpfr, mpc for that,
which is asymptotically faster.

After a discussion in #33481 it was decided to add it to depends.

Also:
 - remove INSTALL.msg; for plotting, mpmath itself gives a warning.
 - Adopt.
---
 srcpkgs/python3-mpmath/INSTALL.msg | 4 ----
 srcpkgs/python3-mpmath/template    | 6 +++---
 2 files changed, 3 insertions(+), 7 deletions(-)
 delete mode 100644 srcpkgs/python3-mpmath/INSTALL.msg

diff --git a/srcpkgs/python3-mpmath/INSTALL.msg b/srcpkgs/python3-mpmath/INSTALL.msg
deleted file mode 100644
index d38bcd667418..000000000000
--- a/srcpkgs/python3-mpmath/INSTALL.msg
+++ /dev/null
@@ -1,4 +0,0 @@
-If you require plotting capabilities, install python3-matplotlib.
-
-mpmath internally uses Python's builtin long integers by default.
-For much faster high-precision arithmetic, install python3-gmpy2.
diff --git a/srcpkgs/python3-mpmath/template b/srcpkgs/python3-mpmath/template
index 4087ac129345..edd45ee5b6e8 100644
--- a/srcpkgs/python3-mpmath/template
+++ b/srcpkgs/python3-mpmath/template
@@ -1,14 +1,14 @@
 # Template file for 'python3-mpmath'
 pkgname=python3-mpmath
 version=1.2.1
-revision=2
+revision=3
 wrksrc="mpmath-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools_scm"
-depends="python3"
+depends="python3 python3-gmpy2"
 checkdepends="python3-pytest"
 short_desc="Python3 library for arbitrary-precision floating-point arithmetic"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Gonzalo Tornaría <tornaria@cmat.edu.uy>"
 license="BSD-3-Clause"
 homepage="http://mpmath.org/"
 distfiles="${PYPI_SITE}/m/mpmath/mpmath-${version}.tar.gz"

^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: [PR PATCH] [Merged]: python3-mpmath: depend on python3-gmpy2
  2021-10-12 23:49 [PR PATCH] python3-mpmath: depend on python3-gmpy2 tornaria
@ 2021-10-13 19:00 ` ahesford
  0 siblings, 0 replies; 2+ messages in thread
From: ahesford @ 2021-10-13 19:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 574 bytes --]

There's a merged pull request on the void-packages repository

python3-mpmath: depend on python3-gmpy2
https://github.com/void-linux/void-packages/pull/33511

Description:
By default mpmath uses python's builtin long integers which are very
slow. Installing python3-gmpy2 makes it use gmp, mpfr, mpc for that,
which is asymptotically faster.

After #33481 it was agreed to add it to depends.

Also:
 - remove INSTALL.msg; for plotting, mpmath itself gives a warning.
 - Adopt.

[ci-skip] since this will fail before #33481 is merged, but nothing is really changed

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-10-13 19:00 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-10-12 23:49 [PR PATCH] python3-mpmath: depend on python3-gmpy2 tornaria
2021-10-13 19:00 ` [PR PATCH] [Merged]: " ahesford

Github messages for voidlinux

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://inbox.vuxu.org/voidlinux-github

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V1 voidlinux-github voidlinux-github/ https://inbox.vuxu.org/voidlinux-github \
		voidlinux-github@inbox.vuxu.org
	public-inbox-index voidlinux-github

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git